%define modulename adimpro
%define realver 0.4.4
%define r_library %{_libdir}/R/library
%define _requires_exceptions libR.so\\|libRblas.so\\|libRlapack.so

Summary:	Adaptive smoothing of digital images for R
Name:		R-cran-%{modulename}
Version:	%realver
Release:	%mkrel 9
License:	GPLv2+
Group:		Sciences/Mathematics
Url:		http://cran.r-project.org/web/packages/%{modulename}/index.html
Source0:	http://cran.r-project.org/src/contrib/%{modulename}_%{realver}.tar.gz
BuildRequires:	R-base
BuildRequires:	gcc-gfortran
BuildRequires:	lapack-devel
Requires:	imagemagick
Requires:	dcraw
Requires:	R-base
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This package implements the Propagation Separation approach by 
Polzehl and Spokoiny (2006) for smoothing digital images.

%prep
%setup -q -c

%build

R CMD build %{modulename}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}/%{r_library}

# (tpg) install
R CMD INSTALL %{modulename} --library=%{buildroot}/%{r_library}

# (tpg) provided by R-base
rm -rf %{buildroot}/%{r_library}/R.css

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{r_library}/%{modulename}


%changelog
* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.4-9mdv2011.0
+ Revision: 616446
- the mass rebuild of 2010.0 packages

* Tue Sep 08 2009 Thierry Vignaud <tv@mandriva.org> 0.4.4-8mdv2010.0
+ Revision: 433149
- BuildRequires lapack-devel
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.4.4-7mdv2009.0
+ Revision: 260121
- rebuild
- rebuild

* Sat Mar 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.4-4mdv2008.1
+ Revision: 182146
- remove requires on libRlapack.so

* Mon Mar 03 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.4-3mdv2008.1
+ Revision: 177972
- remove requires on libRblas.so

* Fri Feb 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.4-2mdv2008.1
+ Revision: 176961
- remove requires on libR.so

* Sun Feb 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.4-1mdv2008.1
+ Revision: 170017
- complete spec file
- fix Url
- add source and spec file
- Created package structure for R-cran-adimpro.

